import { context } from '../context';

let next = 0n;

export const uuid = () => {
  const parentTxId = context.parentTxId;

  const id = `${parentTxId}${next.toString(16)}`;
  next += 1n;

  return id;
};
